$shadow: 0 1px 3px rgba(29, 155, 240, 0.08), 0 1px 2px rgba(29, 155, 240, 0.24);
$grey: rgba(0, 0, 0, 0.08);

html {
  font: 16px -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
}

* {
  box-sizing: border-box;
}

.container {
  position: relative;
  margin: 0 auto;
  display: grid;
  grid-template:
  'menu main aside';
  grid-template-columns: 20% 50% 20%;
  gap: 2rem;

  & .main {
    margin: 0 auto;
    grid-area: main;
    box-shadow: $shadow;

    & .card {
      box-shadow: $shadow;
      padding: 1rem;

      &:hover {
        background-color: rgba(29, 155, 240, 0.04);
      }

      & .head {
        display: flex;
        flex-wrap: nowrap;

        & .photo {
          background: $grey;
          width: 4rem;
          height: 4rem;
          border-radius: 50%;
        }

        & .bod {
          width: 100%;

          & .user {
            width: inherit;
            display: flex;
            justify-content: space-between;

            & span {
              margin: 1rem;
            }

            & .delete {
              height: 1.5rem;
              width: 1.5rem;
              top: 1rem;
              right: 1rem;
              cursor: pointer;
            }
          }

          & h3 {
            margin: 1rem;
            display: flex;
            font-size: 1.2rem;
            color: #7C7C7C;
          }
        }
      }

      & .text {
        margin: 0 2rem;
      }
    }
  }

  .bolt {
    font-weight: 700;
  }

  & .menu {
    position: fixed;
    left: 0;
    @media (min-width: 900px) {
      left: 5rem;
    }
    grid-area: menu;

    & ul {
      display: flex;
      flex-direction: column;
      padding: 0 2rem 0;
      list-style-type: none;

      & li {
        display: flex;
        justify-content: flex-end;
        padding: 0.5rem;
        margin-bottom: 0.5rem;
        border-radius: 1.75rem;
        width: 100%;

        & div {
          display: flex;
          align-items: center;
          padding: 0.5rem;

          & .logo {
            width: 1.8rem;
            height: 1.8rem;
            fill: rgb(29, 155, 240);
          }

          & .icon {
            width: 1.75rem;
            height: 1.75rem;
            fill: rgb(15, 20, 25);
          }

          & span {
            display: none;
            width: 6rem;
            @media (min-width: 1400px) {
              display: flex;
            }
          }

          &:hover {
            background-color: $grey;
            border-radius: 1.75rem;
            cursor: pointer;
          }
        }
      }
    }
  }
  & .aside {
    grid-area: aside;
    position: fixed;
    right: 10rem;
    display: none;
    @media (min-width: 1400px) {
      display: block;
    }

    .foo {
      background-color: #fff;
      color: #000;
      text-align: left;
      font-size: 14px;
    }
  }
}




